org.apache.tinkerpop.gremlin.process.traversal.traverser

## Enum TraverserRequirement

- java.lang.Object
- - java.lang.Enum<TraverserRequirement>
  - - org.apache.tinkerpop.gremlin.process.traversal.traverser.TraverserRequirement

- All Implemented Interfaces:
    Serializable, Comparable<TraverserRequirement>

      public enum TraverserRequirement
      extends Enum<TraverserRequirement>

  A `TraverserRequirement` is a list of requirements that a `Traversal` requires of a `Traverser`. The less requirements, the simpler the traverser can be (both in terms of space and time constraints). Every `Step` provides its specific requirements via `Step.getRequirements()`.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BULK`
    `LABELED_PATH`
    `NESTED_LOOP`
    `OBJECT`
    `ONE_BULK`
    `PATH`
    `SACK`
    `SIDE_EFFECTS`
    `SINGLE_LOOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TraverserRequirement` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TraverserRequirement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BULK

          public static final TraverserRequirement BULK

    - #### LABELED_PATH

          public static final TraverserRequirement LABELED_PATH

    - #### NESTED_LOOP

          public static final TraverserRequirement NESTED_LOOP

    - #### OBJECT

          public static final TraverserRequirement OBJECT

    - #### ONE_BULK

          public static final TraverserRequirement ONE_BULK

    - #### PATH

          public static final TraverserRequirement PATH

    - #### SACK

          public static final TraverserRequirement SACK

    - #### SIDE_EFFECTS

          public static final TraverserRequirement SIDE_EFFECTS

    - #### SINGLE_LOOP

          public static final TraverserRequirement SINGLE_LOOP

  - ### Method Detail

    - #### values

          public static TraverserRequirement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TraverserRequirement c : TraverserRequirement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TraverserRequirement valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.